Hi I'm trying to make a (supposedly) simple lisp where a leader is drawn via 2 points the last line is horizontal. I would like to use "mtext" to place my own text rather than the leader text as it has its own annoying characteristics. Of course if I use my own mtext that's added onto the leader, then it has to know what justification to use - but I reckon I can do that by what direction the arrow goes. My wheels are spinning on: 1) I can not figure out how to find the point where the insertion point for the text might be? 2) Why is my leader "exploded"? I know dim1 has something to do with this but the help is a bit lame on explaining how this works. 3) as I said my lisp will need to know what direction the leader goes so it can determine the text justification - any thoughts about how I can do this? Here is my attempt so far........ (defun C:LE () (setvar "CMDECHO" 1) (command "dim1" ".LEADER" pause pause "" "") (princ) );defun Thank you Russ